| AOMedia AV1 Codec

Data Fields
VarBasedPartitionInfo Struct Reference

Thresholds for variance based partitioning. More...

`#include <encoder.h>`

## Data Fields
int64_t | thresholds [5]
int64_t | threshold_minmax

## Detailed Description

Thresholds for variance based partitioning.

## Field Documentation

## ◆ thresholds

int64_t VarBasedPartitionInfo::thresholds[5]

If block variance > threshold, then that block is forced to split. thresholds[0] - threshold for 128x128; thresholds[1] - threshold for 64x64; thresholds[2] - threshold for 32x32; thresholds[3] - threshold for 16x16; thresholds[4] - threshold for 8x8;

## ◆ threshold_minmax

int64_t VarBasedPartitionInfo::threshold_minmax

MinMax variance threshold for 8x8 sub blocks of a 16x16 block. If actual minmax > threshold_minmax, the 16x16 is forced to split.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h